com.arm.cmsis.zone.gen.data

## Class FmZone

- java.lang.Object
- - com.arm.cmsis.zone.gen.data.FmZone

-     public class FmZone
      extends java.lang.Object

  Project Zone - Generator Data Model Root Element Implements the root element for the generator data model. Gives access to the definition of a single project zone.
  Author:
    Jonatan Antoni

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FmZone(com.arm.cmsis.zone.data.ICpZone zone)` Create a Zone generator data model element.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Collection<FmBlock>` | `getBlocks()` Get a collection with all blocks assigned to this zone.
    `FmDevice` | `getDevice()` Get the device this zone is linked to.
    `java.lang.String` | `getName()` Get the zones name.
    `java.util.Collection<FmProcess>` | `getProcesses()` Get a collection of all processes defined in this zone.
    `FmProcessor` | `getProcessor()` Get the processor this zone is linked to.
    `java.util.Collection<FmBlock>` | `getVisibleBlocks()` Get a collection with all leaf blocks visible to this zone.
    `java.util.Collection<FmBlock>` | `getVisibleResources()` Get a collection with all resources visible to this zone.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FmZone

          public FmZone(com.arm.cmsis.zone.data.ICpZone zone)

      Create a Zone generator data model element.
      Parameters:
        `zone` - The storage data model element to wrap.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Get the zones name.
      Returns:
        Zone name

    - #### getBlocks

          public java.util.Collection<FmBlock> getBlocks()

      Get a collection with all blocks assigned to this zone.
      Returns:
        Collection of assigned blocks.

    - #### getVisibleBlocks

          public java.util.Collection<FmBlock> getVisibleBlocks()

      Get a collection with all leaf blocks visible to this zone. A block is considered to be visible if it is mapped at least once into the logical address space of the zones linked processor.
      Returns:
        Collection of visible blocks.

    - #### getVisibleResources

          public java.util.Collection<FmBlock> getVisibleResources()

      Get a collection with all resources visible to this zone. A resource is considered to be visible if it is mapped at least once into the logical address space of the zones linked processor.
      Returns:
        Collection of visible resources.

    - #### getDevice

          public FmDevice getDevice()

      Get the device this zone is linked to.
      Returns:
        Linked device.

    - #### getProcessor

          public FmProcessor getProcessor()

      Get the processor this zone is linked to.
      Returns:
        Linked processor.

    - #### getProcesses

          public java.util.Collection<FmProcess> getProcesses()

      Get a collection of all processes defined in this zone.
      Returns:
        Collection of processes.